Subject: Re: [PATCH v1 7/7] dt-bindings: PCI: Use IRQ flags for legacy PCI IRQ interrupts

From: Rob Herring <[email-masked]>
Date: Wed, 6 Nov 2019 17:47:19 -0600

On Tue, Nov 05, 2019 at 03:16:23PM +0000, Andrew Murray wrote:
> On Tue, Nov 05, 2019 at 04:08:29PM +0100, Linus Walleij wrote:
> > Hi Andrew,
> > 
> > thanks for your patch!
> 
> Thanks for the review.
> 
> > 
> > On Mon, Nov 4, 2019 at 5:39 PM Andrew Murray <[email-masked]> wrote:
> > 
> > > Replace magic numbers used to describe legacy PCI IRQ interrupts
> > > with #define.
> > >
> > > Signed-off-by: Andrew Murray <[email-masked]>
> > 
> > When I add examples I usually make sure that above the examples
> > are the appropriate #include files, this is becoming more important
> > as we convert to yaml, then you need the right includes because the
> > examples will get compiled.
> 
> OK thanks - I can see other files in Documentation that take this approach
> I'll update this patch on my respin.

FYI, It's been on my todo to add common includes like irq.h and gpio.h 
to the example template used to compile the examples, so everyone 
doesn't have to add them.

Rob

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel